Description

The manual for HilbertFn seems to need improvement.

e.g. HilbertFn appears to work for modules too.

The example with a module gives a different answer from what I get when I run the example.

Something must be awry!

Related issues:

Related to CoCoA-5 - Support #1079: CoCoAManual: AffHilbertFn accepts also id... In Progress 14 Jun 2017

History

#1 - 08 May 2023 20:47 - John Abbott

- Related to Support #1079: CoCoAManual: AffHilbertFn accepts also ideal (correct?) added

#2 - 10 May 2023 09:29 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 20

The example I tried is correct (as reported on the manual page).

I copied the second example without noticing that it uses the ring R set in the first example.  Since CoCoA automatically starts with a ring called R

the example ran anyway, but gave a different answer.

Should we take any action?  e.g. change the name of the ring used in the example?  Change the indet names?

#3 - 10 May 2023 20:49 - John Abbott

We could just change the second example so that it uses all the indets in the chosen ring; then I'd get an error (since t is not in the default polynomial

ring R).

Initially I had thought of using a ring name like QQtxyz, but that is rather long and cumbersome.
